OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP209
StepFEA

# StepFEA_HArray1OfDegreeOfFreedom Class Reference

`#include <StepFEA_HArray1OfDegreeOfFreedom.hxx>`

## Public Member Functions
Standard_EXPORT | StepFEA_HArray1OfDegreeOfFreedom (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepFEA_HArray1OfDegreeOfFreedom (const Standard_Integer Low, const Standard_Integer Up, const StepFEA_DegreeOfFreedom &V)
Standard_EXPORT void | Init (const StepFEA_DegreeOfFreedom &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const StepFEA_DegreeOfFreedom &Value)
const StepFEA_DegreeOfFreedom & | Value (const Standard_Integer Index) const
StepFEA_DegreeOfFreedom & | ChangeValue (const Standard_Integer Index)
const StepFEA_Array1OfDegreeOfFreedom & | Array1 () const
StepFEA_Array1OfDegreeOfFreedom & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
StepFEA_Array1OfDegreeOfFreedom | myArray

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_HArray1OfDegreeOfFreedom::StepFEA_HArray1OfDegreeOfFreedom | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepFEA_HArray1OfDegreeOfFreedom::StepFEA_HArray1OfDegreeOfFreedom | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const StepFEA_DegreeOfFreedom & | V
| ) |

## Member Function Documentation

const StepFEA_Array1OfDegreeOfFreedom& StepFEA_HArray1OfDegreeOfFreedom::Array1 | ( |  | ) | const

StepFEA_Array1OfDegreeOfFreedom& StepFEA_HArray1OfDegreeOfFreedom::ChangeArray1 | ( |  | ) |

StepFEA_DegreeOfFreedom& StepFEA_HArray1OfDegreeOfFreedom::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const StepFEA_HArray1OfDegreeOfFreedom::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepFEA_HArray1OfDegreeOfFreedom::Init | ( | const StepFEA_DegreeOfFreedom & | V | ) |

Standard_Integer StepFEA_HArray1OfDegreeOfFreedom::Length | ( |  | ) | const

Standard_Integer StepFEA_HArray1OfDegreeOfFreedom::Lower | ( |  | ) | const

void StepFEA_HArray1OfDegreeOfFreedom::SetValue | ( | const Standard_Integer | Index,
|  | const StepFEA_DegreeOfFreedom & | Value
| ) |

Standard_Integer StepFEA_HArray1OfDegreeOfFreedom::Upper | ( |  | ) | const

const StepFEA_DegreeOfFreedom& StepFEA_HArray1OfDegreeOfFreedom::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

StepFEA_Array1OfDegreeOfFreedom StepFEA_HArray1OfDegreeOfFreedom::myArray`[private]`

The documentation for this class was generated from the following file:

- StepFEA_HArray1OfDegreeOfFreedom.hxx